Switch a node to maintenance mode

POST https://{controlplane_path}/api/1/rest/public/snaplex/maintenance/{plex_path}/{hostname}      

This API requests that the specified JCC node be switched to maintenance mode.

Prerequisites

  • Environment (Org) admin permissions

Path parameters

Key Description
controlplane_path Required. The path to the SnapLogic control plane: elastic.snaplogic.com
For the UAT or EMEA control plane, substitute the name for elastic. For example:
  • uat.elastic.snaplogic.com
  • emea.snaplogic.com
plex_path Required. The path to the Snaplex. The path comparison is case-sensitive.

Format: /{env_org}/{project_space}/{project_name}/{snaplex_name}

Example: /snaplogic/shared/My%20Cloud

hostname Required. The JCC node path.

Example: canxl-jcc8.clouddev.snaplogic.com,canxl-jcc9.clouddev.snaplogic.com

Query parameters

None.

Request header

Basic authentication

To use basic authentication, specify Basic for authorization in the request header, add your credentials (email and password for your SnapLogic user or service account), and specify application/json for content type. For example:


Authorization: Basic {base64_encoded <email>:<password>}
Content-Type: application/json
          

Example of basic authentication using Postman:

Learn more about the basic authentication header in REST API requests.

JWT authentication

When using JWT authentication, the API request includes specific headers. In the request header, specify Bearer Token for authorization, add the token, and specify application/json for content type. These headers are automatically added when you configure bearer token authentication in your API client. The authorization header contains the word Bearer followed by a space and your JWT.


Authorization: Bearer Token {token}
Content-Type: application/json
          

Example of JWT authentication using Postman:

Request body

 { "mode" : ... }
Key Type Description
mode Boolean If true, the JCC node is set to maintenance mode. Otherwise, the JCC node is set to running mode.

Response

{
    "response_map": {},
    "http_status_code": 200
}